[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: better deal with non-existing stamp files

Holger Levsen holger at layer-acht.org
Fri Dec 23 01:11:52 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit ab50e6f10b0f9b7fb36604ca6e58accfd674e570
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Dec 23 02:11:02 2016 +0100

    reproducible Debian: better deal with non-existing stamp files
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_setup_pbuilder.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index ec5c783..88ac243 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -134,9 +134,11 @@ setup_pbuilder() {
 BASETGZ=/var/cache/pbuilder/$SUITE-reproducible-base.tgz
 STAMP=/var/log/jenkins/$SUITE-reproducible-base.tgz.stamp
 
-if [ -f "$STAMP" -a $(stat -c %Y "$STAMP") -gt $(date +%s) ]; then
-	echo "stamp file has a timestamp from the future."
-	exit 1
+if [ -f "$STAMP" ] ; then
+	if [ -f "$STAMP" -a $(stat -c %Y "$STAMP") -gt $(date +%s) ]; then
+		echo "stamp file has a timestamp from the future."
+		exit 1
+	fi
 fi
 
 OLDSTAMP=$(find $STAMP -mtime +1 -exec ls -lad {} \; || echo "nostamp")

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list